Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718872 - dev-libs/elfutils calls cc directly
Summary: dev-libs/elfutils calls cc directly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://sourceware.org/pipermail/elfu...
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-04-22 15:49 UTC by Agostino Sarubbo
Modified: 2021-01-31 15:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.bz2 (build.log.bz2,20.48 KB, application/x-bzip2)
2020-04-22 15:49 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-04-22 15:49:39 UTC
This is an auto-filled bug because dev-libs/elfutils calls cc directly.
The issue was originally discovered on arm64, but it may be reproducible on other arches as well.
Attached build log and emerge --info.

NOTE:
To reproduce this issue you may want to temporarily move the /usr/bin/cc - /usr/bin/gcc binaries.
Comment 1 Agostino Sarubbo gentoo-dev 2020-04-22 15:49:51 UTC
Created attachment 634088 [details]
build.log.bz2

build log and emerge --info
Comment 2 Sergei Trofimovich gentoo-dev 2020-04-22 17:11:45 UTC
I only see 2 tests trying to access 'gcc':

FAIL: run-strip-nothing.sh
==========================

/var/tmp/portage/dev-libs/elfutils-0.179/work/elfutils-0.179/tests/run-strip-nothing.sh: line 26: gcc: command not found
FAIL run-strip-nothing.sh (exit status: 127)

FAIL: run-strip-g.sh
====================

Create debug a.out.
/var/tmp/portage/dev-libs/elfutils-0.179/work/elfutils-0.179/tests/run-strip-g.sh: line 28: gcc: command not found
FAIL run-strip-g.sh (exit status: 127)
Comment 3 Larry the Git Cow gentoo-dev 2020-05-30 21:58:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58357ad14a1f2f507e9e705cb8c2f9afbc706076

commit 58357ad14a1f2f507e9e705cb8c2f9afbc706076
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-05-30 21:58:04 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-05-30 21:58:04 +0000

    dev-libs/elfutils: use $CC in tests consistently, bug #718872
    
    Reported-by: Agostino Sarubbo
    Closes: https://bugs.gentoo.org/718872
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 dev-libs/elfutils/elfutils-0.179.ebuild            |  3 ++
 .../files/elfutils-0.179-CC-in-tests.patch         | 45 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)
Comment 4 Sergei Trofimovich gentoo-dev 2021-01-31 15:51:23 UTC
Proposed patch upstream as https://sourceware.org/pipermail/elfutils-devel/2021q1/003425.html